<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: add2.php3,v 1.7 2001/05/18 03:28:18 wakefield Exp $
 */

require('config.php3');
require('alumni.php3');

page_header('$Id: add2.php3,v 1.7 2001/05/18 03:28:18 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname,$db);
?>
<font size="+1"><b><u>Add</u></b></font><br />
<?php

$error = 0;
$error2 = 0;

if((strlen(trim($lname)) == 0) || (strlen(trim($fname)) == 0)) {
  echo '<font color="red"><b>You must enter your first and last names.</b></font><br />';
  $error = 1;
}

if(intval($year) < 1900) {
  echo '<font color="red"><b>Please enter a 4-digit year.</b></font><br />';
  $error = 1;
}

if(intval($year) > intval(date("Y"))) {
  echo '<font color="red"><b>Sorry, the database is for <i>Alumni</i> only.</b></font><br />';
  $error = 1;
  $error2 = 1;
}

if(strlen(trim($secure)) == 0) {
  echo '<font color="red"><b>You must enter a password.</b></font><br />';
  $error = 1;
}

if($error == 1) {
  if($error2 == 0) {
    echo '<br /><font size="+1"><b>Entry NOT added!</b></font>';
    echo '<br />Hit the back button and fix the above errors.<br />';
  }
} else {

  $qsbase = "(Name_Last='" . addslashes(trim($lname)) . "') AND " .
    "(Name_First='" . addslashes(trim($fname)) . "') AND " .
    '(School=' . intval($school) . ') AND ' .
    '(Year=' . intval($year) . ') AND ' .
    '(Approved<>3)';	/* ignore deleted entries */
  $result = mysql_query('SELECT COUNT(*) FROM Alumni WHERE '.$qsbase, $db);
  list($num) = mysql_fetch_row($result);

  if($num != 0) {
    $result = mysql_query('SELECT Approved FROM Alumni WHERE '.$qsbase, $db);
    list($approve) = mysql_fetch_row($result);
    echo '<br /><font size="+1">An entry with that name, school, and year already exists.<br />';
    switch($approve) {
      case 0: echo 'It is currently pending approval by the <a href="'.$webmaster.'">WebMaster</a>.<br />'; break;
      case 1: echo 'It has been approved by the <a href="'.$webmaster.'">WebMaster</a>.<br />'; break;
      case 2: echo 'It has been rejected by the <a href="'.$webmaster.'">WebMaster</a>.<br />'; break;
    }
    echo 'If you didn\'t create the entry, please notify the <a href="'.$webmaster.'">WebMaster</a>!<br />';
    echo 'If you want to modify your entry, jump to the <a href="modify.php3">Modify</a> page.<br /></font>'."\n";
  } else {

    $qs = 'INSERT INTO Alumni (Name_Last, Name_First, Name_Middle, ' .
      'Name_Nick, School, Year, Public_EMail, EMail, ' .
      'Public_Occupation, Occupation, Occupation_Where, Occupation_What,' .
      'Public_Address, Address_1, Address_2, Public_Phone, Phone, ' .
      'Password) VALUES (' .
      "'" . addslashes(trim($lname)) . "'," .
      "'" . addslashes(trim($fname)) . "'," .
      "'" . addslashes(trim($mname)) . "'," .
      "'" . addslashes(trim($nname)) . "'," .
      intval($school) . ',' .
      intval($year) . ',' .

      intval(isset($c1)) . ',' .
      "'" . addslashes(trim($email)) . "'," .

      intval(isset($c2)) . ',' .
      intval($occtype) . ',' .
      "'" . addslashes(trim($occwhere)) . "'," .
      "'" . addslashes(trim($occwhat)) . "'," .

      intval(isset($c3)) . ',' .
      "'" . addslashes(trim($ad1)) . "'," .
      "'" . addslashes(trim($ad2)) . "'," .

      intval(isset($c4)) . ',' .
      "'" . addslashes(trim($phone)) . "'," .
      "'" . addslashes(trim($secure)) . "')";

    if(!mysql_query($qs, $db))
      echo '<font color="red"><b>Error executing query.</b></font><br />';

    $qs = "INSERT INTO AlumniLog (Action, AlumID, TimeStamp) VALUES ('ADD', LAST_INSERT_ID(), NOW())";
    if(!mysql_query($qs, $db))
      echo '<font color="red"><b>Error executing logging query.</b></font><br />';

    echo '<br /><b><font size="+1">Entry added.</font>';
    echo '<br />It should be approved within a week.</b><br />'."\n";
  }
}

page_footer('Main Alumni Database Page');
?>
