<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: approvelist.php3,v 1.7 2001/05/18 03:28:18 wakefield Exp $
 */

require('../config.php3');
require('../alumni.php3');

page_header('$Id: approvelist.php3,v 1.7 2001/05/18 03:28:18 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname, $db);

?>
<font size="+1"><b><u>Approve/Reject New Entries</u></b></font><br />
<font size="+1"><i>Choose whether to approve or reject each new entry, then click Apply.<br />
Click on an entry to see its details.</i></font><br />
<form method="POST" action="approve.php3">
<?php

$query_string = 'SELECT AlumID, Alumni.Approved, Name_Last, Name_First, LongName, ShortName, Year FROM Alumni LEFT JOIN Schools ON SchoolID = School WHERE (Alumni.Approved=0) ORDER BY Name_Last, Name_First, Year';

$result = mysql_query($query_string, $db);

if($myrow = mysql_fetch_array($result)) {
  echo "<table><tr>\n";
  echo '<th>Approve</th><th>Reject</th><th>Pending&nbsp;&nbsp;</th><th>Last, First</th><th>(School-Year)</th>'."\n";
  do {
?>
</tr><tr>
<td align="center"><?php hidden_input('idlist[]', $myrow['AlumID']) ?>
<?php radio_input('Action['.$myrow['AlumID'].']', 'Approve', $myrow['Approved']==1) ?></td>
<td align="center"><?php radio_input('Action['.$myrow['AlumID'].']', 'Reject', $myrow['Approved']==2) ?></td>
<td align="center"><?php radio_input('Action['.$myrow['AlumID'].']', 'Pending', $myrow['Approved']==0) ?></td>
<td><A href="view.php3?id=<?php echo $myrow['AlumID']?>"><?php
    echo htmlspecialchars($myrow['Name_Last']).', ';
    echo htmlspecialchars($myrow['Name_First']).'</td><td>(';
    echo $userschools==1?htmlspecialchars($myrow['LongName']):$myrow['ShortName'];
    echo '-';
    echo $myrow['Year'].")</a></td>\n";
  } while($myrow = mysql_fetch_array($result));
  echo "</tr></table>\n";
  echo '<br /><input type="submit" value="Apply"><br />';
} else
  echo "<br /><b>No entries found.</b><br />\n";

page_footer('Database Administration');
?>
