<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: list.php3,v 1.7 2001/05/18 03:28:18 wakefield Exp $
 */

require('../config.php3');
require('../alumni.php3');

page_header('$Id: list.php3,v 1.7 2001/05/18 03:28:18 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname, $db);
?>
<font size="+1"><b><u>List/Export</u></b></font><br />
<form method="POST" action="list2.php3">
<table border="0" cellpadding="0" cellspacing="8"><tr>
<td><table border="0" cellpadding="0" cellspacing="8"><tr>
<td valign="top"></td>
<td><i>Criteria</i></td>
<td><i>Search for / in:</i></td>
</tr><tr>
<td><?php checkbox_input('chkname', 1) ?></td><td>Name:</td>
<td><?php text_input('srchname', 0, 0) ?></td>
</tr><tr>
<td valign="top"><?php checkbox_input('chkschool') ?></td><td valign="top">School:</td>
<td valign="top"><?php school_select_multiple($db, 'schools[]', 4, '', 0) ?></td>
</tr><tr>
<td><?php checkbox_input('chkyear') ?></td><td>Year Graduated:</td>
<td><?php text_input('srchyear', 0, 0) ?></td>
</tr><tr>
<td valign="top"><?php checkbox_input('chkocc') ?></td><td valign="top">Occupation:</td>
<td valign="top"><?php occtype_select_multiple($db, 'occtypes[]', 3) ?></td>
</tr><tr>
<td><?php checkbox_input('chkwhere') ?></td>
<td align="center"><i>Where?</i></td>
<td><?php text_input('srchwhere', 0, 0) ?></td>
</tr><tr>
<td><?php checkbox_input('chkwhat') ?></td>
<td align=center><i>What?</i></td>
<td><?php text_input('srchwhat', 0, 0) ?></td>
</tr><tr>
<td><?php checkbox_input('chkapprove') ?></td><td>Approval Status:</td>
<td><?php approve_select('approve') ?></td>
</tr></table>
</td><td valign="top">
<table border="0" cellpadding="0" cellspacing="8"><tr>
<td colspan="2"><i>Display in output</i></td>
</tr><tr>
<td><?php checkbox_input('dispname', 1) ?>Name</td>
<td><?php checkbox_input('dispyear', 1) ?>School / Year</td>
</tr><tr>
<td><?php checkbox_input('dispemail') ?>E-mail</td>
<td><?php checkbox_input('dispocc') ?>Occupation</td>
</tr><tr>
<td><?php checkbox_input('dispwhere') ?>Where (Occ.)</td>
<td><?php checkbox_input('dispwhat') ?>What (Occ.)</td>
</tr><tr>
<td><?php checkbox_input('dispadd') ?>Address</td>
<td><?php checkbox_input('dispphone') ?>Phone</td>
</tr><tr>
<td><?php checkbox_input('dispapprove') ?>Approval Status</td>
</tr><tr>
<td colspan="2"><br /><i>Output Format:</i><select name="format">
<option selected value="Web">Standard (Web)</option>
<option value="CSV">Text File Export (CSV)</option>
</select></td>
</tr><tr>
<td colspan="2"><br /><i>Click on a name to view/edit its details.</i></td>
</tr><tr>
<td colspan="2"><i>Look at <a href="export.php3">this document</a> for
instructions on opening exported data in MS Excel or MS Access.</i></td>
</tr><tr>
<td colspan="2"><i>Caution: This search can return very long results!</i></td>
</tr><tr>
<td colspan="2"><i>By default, the search only includes pending and approved
entries.</i></td>
</tr></table></td>
</tr></table>
<input type="submit" value="Search">
</form>
<?php page_footer('Database Administration') ?>
