<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: addschool.php3,v 1.3 2001/05/16 05:25:12 wakefield Exp $
 */

require('config.php3');
require('alumni.php3');

page_header('$Id: addschool.php3,v 1.3 2001/05/16 05:25:12 wakefield Exp $');

if($userschools != 1) {
  echo '<font color="red"><b>This script has been disabled by the <a href="'.$webmaster.'">webmaster</a>.</b></font><br />';
} else {
  $db = mysql_connect($dbhost, $dblogin, $dbpass);
  mysql_select_db($dbname, $db);
?>
<font size="+1"><b><u>Add Your School</u></b></font><br />
<form method="POST" action="addschool2.php3">
<table border="0" cellpadding="0" cellspacing="8"><tr>
  <td>Name:</td>
  <td><i>Full name of your school (including town name)</i></td>
</tr><tr>
  <td></td>
  <td><?php text_input('longname', 60, 60) ?></td>
</tr><tr>
  <td>Abbreviation:</td>
  <td><i>3-5 letter abbreviation for your school</i></td>
</tr><tr>
  <td></td>
  <td><?php text_input('abbrev', 10, 10) ?></td>
</tr></table>
<br /><br />
<input type="submit" value="Add my school!">
</form><?php
}

page_footer('Main Alumni Database Page');
?>
