<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: export.php3,v 1.4 2001/05/18 02:49:26 wakefield Exp $
 */

require('../config.php3');
require('../alumni.php3');

page_header('$Id: export.php3,v 1.4 2001/05/18 02:49:26 wakefield Exp $');
?>
<font size="+1"><b><u>Opening exported data in MS Excel 97</u></b></font><br />
<ol>
<li>Remember where you saved the alumni.csv file</li>
<li>Start MS Excel 97</li>
<li>Go to File|Open or hit Ctrl+O</li>
<li>Select "Text Files (*.prn; *.txt; *.csv)" in the "Files of type:" dropdown</li>
<li>Navigate to the directory where you saved alumni.csv</li>
<li>Click on alumni.csv in the file list and click Open</li>
<li>The data will now appear in an Excel worksheet; the column headers are in row 1</li>
</ol>

<font size="+1"><b><u>Opening exported data in MS Access 97</u></b></font><br />
<ol>
<li>Remember where you saved the alumni.csv file</li>
<li>Start MS Access 97</li>
<li>Create a blank database or open an existing one</li>
<li>Click on the Tables tab in the database window, then click New</li>
<li>Select Import Table, then click OK</li>
<li>Select "Text Files (*.txt; *.csv; *.tab; *.asc)" in the "Files of type:" dropdown</li>
<li>Navigate to the directory where you saved alumni.csv</li>
<li>Click on alumni.csv in the file list and click Import</li>
<li>Select Delimited, then click Next</li>
<li>Select Comma, and choose " in the Text Qualifer dropdown</li>
<li>Check "First Row Contains Field Names", and click Next</li>
<li>Select "In a New Table", and click Next</li>
<li>On the next page, modify the fields if desired, then click Next</li>
<li>Select "Let Access add Primary Key", and click Next</li>
<li>Name the table you are exporting the data to, and click Finish</li>
<li>The data will now be in an Access table</li>
</ol>

<font size="+1"><b><u>Opening exported data in Gnumeric</u></b></font><br />
<ol>
<li>Remember where you saved the alumni.csv file</li>
<li>Start Gnumeric</li>
<li>Go to File|Import</li>
<li>Navigate to the directory where you saved alumni.csv</li>
<li>Click on alumni.csv in the file list and click OK</li>
<li>Select "Text File import" and click OK</li>
<li>Select Seperated, Trim Always (Both sides), import all lines, and click Next</li>
<li>Select Comma (,) as separator, uncheck "See two separators as one", check "Adjacent quotes escaped, choose " as the text indicator, and click Next</li>
<li>Click Finish</li>
<li>The data will now appear in the Gnumeric worksheet; the column headers are in row 1</li>
</ol>

<?php page_footer('Database Administration') ?>
