<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: modify3.php3,v 1.6 2001/05/18 03:28:18 wakefield Exp $
 */

require('config.php3');
require('alumni.php3');

page_header('$Id: modify3.php3,v 1.6 2001/05/18 03:28:18 wakefield Exp $');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname,$db);
?>
<font size="+1"><b><u>Modify</u></b></font><br />
<?php

$error = 0;
$error2 = 0;

if((strlen(trim($lname)) == 0) || (strlen(trim($fname)) == 0)) {
  echo '<font color="red"><b>You must enter your first and last names.</b></font><br />';
  $error = 1;
}

if(intval($year) < 1900) {
  echo '<font color="red"><b>Please enter a 4-digit year.</b></font><br />';
  $error = 1;
}

if(intval($year) > intval(date("Y"))) {
  echo '<font color="red"><b>Sorry, the database is for <i>Alumni</i> only.</b></font><br />';
  $error = 1;
  $error2 = 1;
}

if(strlen(trim($newsecure)) == 0) {
  echo '<font color="red"><b>You must enter a password.</b></font><br />';
  $error = 1;
}

if($error == 1) {
  if($error2 == 0) {
    echo '<br /><font size="+1"><b>Entry NOT modified!</b></font>';
    echo '<br />Hit the back button and fix the above errors.<br />';
  }
} else {

  $qs = 'SELECT COUNT(*) FROM Alumni WHERE ' .
    '(AlumID=' . intval($index) . ') AND ' .
    "(Password='" . addslashes(trim($secure)) . "')";
  $result = mysql_query($qs, $db);
  list($num) = mysql_fetch_row($result);

  if(($num == 0) || ($num > 1)) {
    echo '<br /><font size="+1">That entry does not exist or the password is incorrect.</font><br />';
  } else {

    $qs = 'UPDATE Alumni SET ' .
      "Name_Last='" . addslashes(trim($lname)) . "'," .
      "Name_First='" . addslashes(trim($fname)) . "'," .
      "Name_Middle='" . addslashes(trim($mname)) . "'," .
      "Name_Nick='" . addslashes(trim($nname)) . "'," .
      'School=' . intval($school) . ',' .
      'Year=' . intval($year) . ',' .

      'Public_EMail=' . intval(isset($c1)) . ',' .
      "EMail='" . addslashes(trim($email)) . "'," .

      'Public_Occupation=' . intval(isset($c2)) . ',' .
      'Occupation=' . intval($occtype) . ',' .
      "Occupation_Where='" . addslashes(trim($occwhere)) . "'," .
      "Occupation_What='" . addslashes(trim($occwhat)) . "'," .

      'Public_Address=' . intval(isset($c3)) . ',' .
      "Address_1='" . addslashes(trim($ad1)) . "'," .
      "Address_2='" . addslashes(trim($ad2)) . "'," .

      'Public_Phone=' . intval(isset($c4)) . ',' .
      "Phone='" . addslashes(trim($phone)) . "'," .
      "Password='" . addslashes(trim($newsecure)) . "'," .
      'Approved=0'.
      ' WHERE AlumID=' . intval($index);

    if(!mysql_query($qs, $db))
      echo '<font color="red"><b>Error executing query.</b></font><br />';
    
    $qs = "INSERT INTO AlumniLog (Action, AlumID, TimeStamp) VALUES ('MODIFY'," . intval($index) . ", NOW())";
    if(!mysql_query($qs, $db))
      echo '<font color="red"><b>Error executing logging query.</b></font><br />';
    
    echo '<br /><b><font size="+1">Entry modified.</font>'."\n";
    echo '<br />Your changes should be approved within a week.</b><br />'."\n";
  }
}

page_footer('Main Alumni Database Page');
?>
